|  | Home · All Classes · All Functions · Overviews

# Qt 3 Support Members for QWheelEvent

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QWheelEvent class reference

## Public Functions

| QWheelEvent ( const QPoint & pos, int delta, int state, Qt::Orientation orient = Qt::Vertical )
| QWheelEvent ( const QPoint & pos, const QPoint & globalPos, int delta, int state, Qt::Orientation orient = Qt::Vertical )
Qt::ButtonState | state () const

## Member Function Documentation

### QWheelEvent::QWheelEvent ( const QPoint & pos, int delta, int state, Qt::Orientation orient = Qt::Vertical )

Use one of the other constructors instead.

### QWheelEvent::QWheelEvent ( const QPoint & pos, const QPoint & globalPos, int delta, int state, Qt::Orientation orient = Qt::Vertical )

Use one of the other constructors instead.

### Qt::ButtonState QWheelEvent::state () const

Returns the keyboard modifier flags at the time of the event.

The returned value is a selection of the following values, combined using the OR operator: Qt::ShiftButton, Qt::ControlButton, and Qt::AltButton.